# Licenses

Provides information about Creative Commons media licenses, which are often expressed in media files as a license URI in tags. Also useful for applications creating media files, in case the user wants to license the content under a Creative Commons license.

## Functions

### gst_tag_get_license_description

    const gchar *
    gst_tag_get_license_description (const gchar * license_ref)

Get the description of a license, which is a translated description of the license's main features.

Parameters:

`license_ref` –

a license reference string in form of a URI, e.g. "http://creativecommons.org/licenses/by-nc-nd/2.0/"

Returns ( [nullable]) –

the description of the license, or NULL if the license is unknown or a description is not available.

### GstTag.prototype.tag_get_license_description

    function GstTag.prototype.tag_get_license_description(license_ref: String): {
        // javascript wrapper for 'gst_tag_get_license_description'
    }

Get the description of a license, which is a translated description of the license's main features.

Parameters:

`license_ref` (String) –

a license reference string in form of a URI, e.g. "http://creativecommons.org/licenses/by-nc-nd/2.0/"

Returns (String) –

the description of the license, or NULL if the license is unknown or a description is not available.

### GstTag.tag_get_license_description

    def GstTag.tag_get_license_description (license_ref):
        #python wrapper for 'gst_tag_get_license_description'

Get the description of a license, which is a translated description of the license's main features.

Parameters:

`license_ref` (str) –

a license reference string in form of a URI, e.g. "http://creativecommons.org/licenses/by-nc-nd/2.0/"

Returns (str) –

the description of the license, or NULL if the license is unknown or a description is not available.

### gst_tag_get_license_flags

    GstTagLicenseFlags
    gst_tag_get_license_flags (const gchar * license_ref)

Get the flags of a license, which describe most of the features of a license in their most general form.

Parameters:

`license_ref` –

a license reference string in form of a URI, e.g. "http://creativecommons.org/licenses/by-nc-nd/2.0/"

Returns –

the flags of the license, or 0 if the license is unknown

### GstTag.prototype.tag_get_license_flags

    function GstTag.prototype.tag_get_license_flags(license_ref: String): {
        // javascript wrapper for 'gst_tag_get_license_flags'
    }

Get the flags of a license, which describe most of the features of a license in their most general form.

Parameters:

`license_ref` (String) –

a license reference string in form of a URI, e.g. "http://creativecommons.org/licenses/by-nc-nd/2.0/"

Returns (GstTag.TagLicenseFlags) –

the flags of the license, or 0 if the license is unknown

### GstTag.tag_get_license_flags

    def GstTag.tag_get_license_flags (license_ref):
        #python wrapper for 'gst_tag_get_license_flags'

Get the flags of a license, which describe most of the features of a license in their most general form.

Parameters:

`license_ref` (str) –

a license reference string in form of a URI, e.g. "http://creativecommons.org/licenses/by-nc-nd/2.0/"

Returns (GstTag.TagLicenseFlags) –

the flags of the license, or 0 if the license is unknown

### gst_tag_get_license_jurisdiction

    const gchar *
    gst_tag_get_license_jurisdiction (const gchar * license_ref)

Get the jurisdiction code of a license. This is usually a two-letter ISO 3166-1 alpha-2 code, but there is also the special case of Scotland, for which no code exists and which is thus represented as "scotland".

Known jurisdictions: ar, at, au, be, bg, br, ca, ch, cl, cn, co, de, dk, es, fi, fr, hr, hu, il, in, it, jp, kr, mk, mt, mx, my, nl, pe, pl, pt, scotland, se, si, tw, uk, us, za.

Parameters:

`license_ref` –

a license reference string in form of a URI, e.g. "http://creativecommons.org/licenses/by-nc-nd/2.0/"

Returns ( [nullable]) –

the jurisdiction code of the license, or NULL if the license is unknown or is not specific to a particular jurisdiction.

### GstTag.prototype.tag_get_license_jurisdiction

    function GstTag.prototype.tag_get_license_jurisdiction(license_ref: String): {
        // javascript wrapper for 'gst_tag_get_license_jurisdiction'
    }

Get the jurisdiction code of a license. This is usually a two-letter ISO 3166-1 alpha-2 code, but there is also the special case of Scotland, for which no code exists and which is thus represented as "scotland".

Known jurisdictions: ar, at, au, be, bg, br, ca, ch, cl, cn, co, de, dk, es, fi, fr, hr, hu, il, in, it, jp, kr, mk, mt, mx, my, nl, pe, pl, pt, scotland, se, si, tw, uk, us, za.

Parameters:

`license_ref` (String) –

a license reference string in form of a URI, e.g. "http://creativecommons.org/licenses/by-nc-nd/2.0/"

Returns (String) –

the jurisdiction code of the license, or NULL if the license is unknown or is not specific to a particular jurisdiction.

### GstTag.tag_get_license_jurisdiction

    def GstTag.tag_get_license_jurisdiction (license_ref):
        #python wrapper for 'gst_tag_get_license_jurisdiction'

Get the jurisdiction code of a license. This is usually a two-letter ISO 3166-1 alpha-2 code, but there is also the special case of Scotland, for which no code exists and which is thus represented as "scotland".

Known jurisdictions: ar, at, au, be, bg, br, ca, ch, cl, cn, co, de, dk, es, fi, fr, hr, hu, il, in, it, jp, kr, mk, mt, mx, my, nl, pe, pl, pt, scotland, se, si, tw, uk, us, za.

Parameters:

`license_ref` (str) –

a license reference string in form of a URI, e.g. "http://creativecommons.org/licenses/by-nc-nd/2.0/"

Returns (str) –

the jurisdiction code of the license, or NULL if the license is unknown or is not specific to a particular jurisdiction.

### gst_tag_get_license_nick

    const gchar *
    gst_tag_get_license_nick (const gchar * license_ref)

Get the nick name of a license, which is a short (untranslated) string such as e.g. "CC BY-NC-ND 2.0 UK".

Parameters:

`license_ref` –

a license reference string in form of a URI, e.g. "http://creativecommons.org/licenses/by-nc-nd/2.0/"

Returns ( [nullable]) –

the nick name of the license, or NULL if the license is unknown

### GstTag.prototype.tag_get_license_nick

    function GstTag.prototype.tag_get_license_nick(license_ref: String): {
        // javascript wrapper for 'gst_tag_get_license_nick'
    }

Get the nick name of a license, which is a short (untranslated) string such as e.g. "CC BY-NC-ND 2.0 UK".

Parameters:

`license_ref` (String) –

a license reference string in form of a URI, e.g. "http://creativecommons.org/licenses/by-nc-nd/2.0/"

Returns (String) –

the nick name of the license, or NULL if the license is unknown

### GstTag.tag_get_license_nick

    def GstTag.tag_get_license_nick (license_ref):
        #python wrapper for 'gst_tag_get_license_nick'

Get the nick name of a license, which is a short (untranslated) string such as e.g. "CC BY-NC-ND 2.0 UK".

Parameters:

`license_ref` (str) –

a license reference string in form of a URI, e.g. "http://creativecommons.org/licenses/by-nc-nd/2.0/"

Returns (str) –

the nick name of the license, or NULL if the license is unknown

### gst_tag_get_license_title

    const gchar *
    gst_tag_get_license_title (const gchar * license_ref)

Get the title of a license, which is a short translated description of the license's features (generally not very pretty though).

Parameters:

`license_ref` –

a license reference string in form of a URI, e.g. "http://creativecommons.org/licenses/by-nc-nd/2.0/"

Returns ( [nullable]) –

the title of the license, or NULL if the license is unknown or no title is available.

### GstTag.prototype.tag_get_license_title

    function GstTag.prototype.tag_get_license_title(license_ref: String): {
        // javascript wrapper for 'gst_tag_get_license_title'
    }

Get the title of a license, which is a short translated description of the license's features (generally not very pretty though).

Parameters:

`license_ref` (String) –

a license reference string in form of a URI, e.g. "http://creativecommons.org/licenses/by-nc-nd/2.0/"

Returns (String) –

the title of the license, or NULL if the license is unknown or no title is available.

### GstTag.tag_get_license_title

    def GstTag.tag_get_license_title (license_ref):
        #python wrapper for 'gst_tag_get_license_title'

Get the title of a license, which is a short translated description of the license's features (generally not very pretty though).

Parameters:

`license_ref` (str) –

a license reference string in form of a URI, e.g. "http://creativecommons.org/licenses/by-nc-nd/2.0/"

Returns (str) –

the title of the license, or NULL if the license is unknown or no title is available.

### gst_tag_get_license_version

    const gchar *
    gst_tag_get_license_version (const gchar * license_ref)

Get the version of a license.

Parameters:

`license_ref` –

a license reference string in form of a URI, e.g. "http://creativecommons.org/licenses/by-nc-nd/2.0/"

Returns ( [nullable]) –

the version of the license, or NULL if the license is not known or has no version

### GstTag.prototype.tag_get_license_version

    function GstTag.prototype.tag_get_license_version(license_ref: String): {
        // javascript wrapper for 'gst_tag_get_license_version'
    }

Get the version of a license.

Parameters:

`license_ref` (String) –

a license reference string in form of a URI, e.g. "http://creativecommons.org/licenses/by-nc-nd/2.0/"

Returns (String) –

the version of the license, or NULL if the license is not known or has no version

### GstTag.tag_get_license_version

    def GstTag.tag_get_license_version (license_ref):
        #python wrapper for 'gst_tag_get_license_version'

Get the version of a license.

Parameters:

`license_ref` (str) –

a license reference string in form of a URI, e.g. "http://creativecommons.org/licenses/by-nc-nd/2.0/"

Returns (str) –

the version of the license, or NULL if the license is not known or has no version

### gst_tag_get_licenses

    gchar **
    gst_tag_get_licenses ()

Returns a list of known license references (in form of URIs). This is useful for UIs to build a list of available licenses for tagging purposes (e.g. to tag an audio track appropriately in a video or audio editor, or an image in a camera application).

Returns ( [transfer: full][array zero-terminated=1]) –

NULL-terminated array of license strings. Free with g_strfreev when no longer needed.

### GstTag.prototype.tag_get_licenses

    function GstTag.prototype.tag_get_licenses(): {
        // javascript wrapper for 'gst_tag_get_licenses'
    }

Returns a list of known license references (in form of URIs). This is useful for UIs to build a list of available licenses for tagging purposes (e.g. to tag an audio track appropriately in a video or audio editor, or an image in a camera application).

Returns ([ String ]) –

NULL-terminated array of license strings. Free with GLib.prototype.strfreev when no longer needed.

### GstTag.tag_get_licenses

    def GstTag.tag_get_licenses ():
        #python wrapper for 'gst_tag_get_licenses'

Returns a list of known license references (in form of URIs). This is useful for UIs to build a list of available licenses for tagging purposes (e.g. to tag an audio track appropriately in a video or audio editor, or an image in a camera application).

Returns ([ str ]) –

NULL-terminated array of license strings. Free with GLib.strfreev when no longer needed.

The results of the search are